package com.vctgo.system.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.system.api.domain.SysService;

/**
 * 服务Service接口
 *
 * @author caesar
 * @date 2023-10-08
 */
public interface ISysServiceService {
    /**
     * 查询服务
     *
     * @param id 服务主键
     * @return 服务
     */
    SysService selectSysServiceById(Long id);

    /**
     * 查询服务列表-分页
     *
     * @param sysService 服务
     * @return 服务集合
     */
    IPage<SysService> selectSysServicePage(SysService sysService);

    /**
     * 查询服务列表
     *
     * @param sysService 服务
     * @return 服务集合
     */
    List<SysService> selectSysServiceList(SysService sysService);

    /**
     * 新增服务
     *
     * @param sysService 服务
     * @return 结果
     */
    int insertSysService(SysService sysService);

    /**
     * 修改服务
     *
     * @param sysService 服务
     * @return 结果
     */
    int updateSysService(SysService sysService);

    /**
     * 逻辑删除服务
     *
     * @param ids
     * @return 结果
     */
    int logicalDeleteSysServiceByIds(Long[] ids);

    /**
     * 批量删除服务
     *
     * @param ids 需要删除的服务主键集合
     * @return 结果
     */
    int deleteSysServiceByIds(Long[] ids);

    /**
     * 删除服务信息
     *
     * @param id 服务主键
     * @return 结果
     */
    int deleteSysServiceById(Long id);
}
